<%@ Page Language="VB" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">
    Dim SerialPort1 As New System.IO.Ports.SerialPort()
    
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs)

        Me.SerialPort1.PortName = "COM1"

        If (Not Me.SerialPort1.IsOpen()) Then
            Me.SerialPort1.Open()
        End If

        Me.SerialPort1.Write("Hello World")
        Me.SerialPort1.Close()

    End Sub
</script>
